Does react-native-couchbase-lite plugin will be upgraded to latest couchbase-lite version?


#1

From spec.json in react-native-couchbase-lite plugin, looks it supports Couchbase Lite V 1.3.

Is there any plan for the plugin to support higher version of Couchbase Lite (1.5 or 2.0)?

Which ‘Couchbase Server’ version is compatible to the react-native-couchbase-lite plugin?


#2

@jamiltz, do you have any update please?

It looks ‘couchbaselabs/react-native-couchbase-lite’ is not active for longer period.

Can you please guide how to make ‘react-native-couchbase-lite’ to be compatible to Couchbase Lite version 1.5 or 2.0, so that ReactNative app can use the more recent couchbase lite features.


#3

ReactNative won’t be supported on Couchbase Mobile 2.0. Stay tuned for updates related to this post 2.0. (cc @ssmotra)

Also, note that there is no Couchbase Lite v1.5 . Couchbase Mobile 1.5 is a Sync Gateway only release. See release notes. The latest version of Couchbase Lite is 1.4 and I don’t believe that the spec.json is significantly different between V1.3 and v1.4 …


#4

Thank you @priya.rajagopal. Does Couchbase Moble 2.0 will support ReactNative in the near future?

I have found compatibility matrix from the below link,
https://developer.couchbase.com/documentation/mobile/current/installation/index.html

I have made react-native-couchbase-lite library to support Couchbase Lite 1.4 with the following changes,

  1. Added dependencies as below in node_modules\react-native-couchbase-lite\android\build.gradle
    dependencies {
    compile 'com.couchbase.lite:couchbase-lite-android:1.4.1’
    compile 'com.couchbase.lite:couchbase-lite-java-listener:1.4.1’
    compile 'com.couchbase.lite:couchbase-lite-java-javascript:1.4.1’
    compile ‘com.facebook.react:react-native:0.14.+’
    }
  2. Converted couchbase-lite.yaml (https://github.com/couchbaselabs/couchbase-mobile-portal/blob/master/swagger/1.4/couchbase-lite.yaml) to JSON and updated the spec.json in node_modules\react-native-couchbase-lite\spec.json

#5

Thats great. Can you submit your changes for 1.4 as a PR to the appropriate repo.

Support for cross-platform JS is being evaluated for post 2.0 release.


#6

@jamiltz, i have submitted PR to support CB Lite 1.4. Can you please merge the changes to master branch?


#7

That’s been merged now.


#8

For anyone interested I started development of React Native module for Couchbase Lite 1.4, support for version 2.0 is planned. The module is written in Objective C and Java providing maximum performance and feature set. Code is on https://github.com/bjornd/react-native-cbl, documentation is available on https://bjornd.github.io/react-native-cbl/.


React Native with Couchbase via the REST API
#9

Excellent! Have a star! I’ll be keeping my eye on this to see what comes of it :slight_smile:


#10

Good work. Eagerly waiting for CBL 2.0 support.